#
# Conditional build:
%bcond_without	tests		# build without tests

Summary:	Library for working with Data Matrix 2D bar-codes
Name:		libdmtx
Version:	0.7.4
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libdmtx/%{name}-%{version}.tar.bz2
# Source0-md5:	d3a4c0becd92895eb606dbdb78b023e2
URL:		http://www.libdmtx.org/
BuildRequires:	ImageMagick-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with tests}
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL_image-devel
BuildRequires:	libpng-devel
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdmtx is open source software for reading and writing Data Matrix 2D
bar-codes on Linux, Unix, OS X, Windows, and mobile devices. At its
core libdmtx is a shared library, allowing C/C++ programs to use its
capabilities without restrictions or overhead.

The included utility programs, dmtxread and dmtxwrite, provide the
official interface to libdmtx from the command line, and also serve as
a good reference for programmers who wish to write their own programs
that interact with libdmtx.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static

%{__make}

%if %{with tests}
%{__make} check
./test/simple_test/simple_test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libdmtx.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog KNOWNBUG NEWS README README.linux TODO
%attr(755,root,root) %{_libdir}/libdmtx.so.*.*.*
%ghost %{_libdir}/libdmtx.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%{_includedir}/dmtx.h
%{_pkgconfigdir}/%{name}.pc
%{_mandir}/man3/%{name}.3*
%changelog
* Fri Mar 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdmtx.git;a=log;h=master

* Fri Mar 13 2015 Jan Rękorajski <baggins@pld-linux.org> 7800715
- up to 0.7.4
- php,python,ruby wrappers are gone
- utils moved to separate source

* Sun Jul 13 2014 Jan Rękorajski <baggins@pld-linux.org> ac380f8
- release 5 (by relup.sh)

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> c4c0fd5
- more bindings exist

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> f498c99
- rename python subpackage to python-pydmtx

* Fri Jul 11 2014 Elan Ruusamäe <glen@delfi.ee> bd7d234
- massive pldization; multi-php-version support

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 854a0d8
- release 4 (by relup.sh)

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> a544a53
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Thu Nov 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d5ca58a
- release 2

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> 1aaa332
- BR: pkgconfig, python-modules, rpm-pythonprov

* Wed Jan 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bc67a3
- rel 1

* Fri Jan 21 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> abc44f2
- initial

